JUCE: juce::midi_ci::ChannelAddress Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::ChannelAddress Class Reference
juce_midi_ci » ci

Identifies a channel or set of channels in a multi-group MIDI endpoint. More...

`#include <juce_CIChannelAddress.h>`

## Public Member Functions
ChannelAddress | withGroup (int g) const
| Returns a copy of this object with the specified group.
ChannelAddress | withChannel (ChannelInGroup c) const
| Returns a copy of this object with the specified channel.
uint8_t | getGroup () const
| Returns the group.
ChannelInGroup | getChannel () const
| Returns the channel in the group.
bool | isBlock () const
| Returns true if this address refers to all channels in the function block containing the specified group.
bool | isGroup () const
| Returns true if this address refers to all channels in the specified group.
bool | isSingleChannel () const
| Returns true if this address refers to a single channel.
bool | operator< (const ChannelAddress &other) const
bool | operator<= (const ChannelAddress &other) const
bool | operator> (const ChannelAddress &other) const
bool | operator>= (const ChannelAddress &other) const
bool | operator== (const ChannelAddress &other) const
bool | operator!= (const ChannelAddress &other) const

## Detailed Description

Identifies a channel or set of channels in a multi-group MIDI endpoint.

## Member Function Documentation

## ◆ withGroup()

ChannelAddress juce::midi_ci::ChannelAddress::withGroup | ( | int | g | ) | const

Returns a copy of this object with the specified group.

References isPositiveAndBelow(), jassert, and withMember().

## ◆ withChannel()

ChannelAddress juce::midi_ci::ChannelAddress::withChannel | ( | ChannelInGroup | c | ) | const

Returns a copy of this object with the specified channel.

References withMember().

## ◆ getGroup()

uint8_t juce::midi_ci::ChannelAddress::getGroup | ( |  | ) | const

Returns the group.

## ◆ getChannel()

ChannelInGroup juce::midi_ci::ChannelAddress::getChannel | ( |  | ) | const

Returns the channel in the group.

## ◆ isBlock()

bool juce::midi_ci::ChannelAddress::isBlock | ( |  | ) | const

Returns true if this address refers to all channels in the function block containing the specified group.

References juce::midi_ci::wholeBlock.

Referenced by isSingleChannel().

## ◆ isGroup()

bool juce::midi_ci::ChannelAddress::isGroup | ( |  | ) | const

Returns true if this address refers to all channels in the specified group.

References juce::midi_ci::wholeGroup.

Referenced by isSingleChannel().

## ◆ isSingleChannel()

bool juce::midi_ci::ChannelAddress::isSingleChannel | ( |  | ) | const

Returns true if this address refers to a single channel.

References isBlock(), and isGroup().

## ◆ operator<()

bool juce::midi_ci::ChannelAddress::operator< | ( | const ChannelAddress & | other | ) | const

## ◆ operator<=()

bool juce::midi_ci::ChannelAddress::operator<= | ( | const ChannelAddress & | other | ) | const

## ◆ operator>()

bool juce::midi_ci::ChannelAddress::operator> | ( | const ChannelAddress & | other | ) | const

## ◆ operator>=()

bool juce::midi_ci::ChannelAddress::operator>= | ( | const ChannelAddress & | other | ) | const

## ◆ operator==()

bool juce::midi_ci::ChannelAddress::operator== | ( | const ChannelAddress & | other | ) | const

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::ChannelAddress::operator!= | ( | const ChannelAddress & | other | ) | const

References operator==().

The documentation for this class was generated from the following file:

- juce_CIChannelAddress.h